lucy-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nick Wellnhofer <wellnho...@aevum.de>
Subject Re: [lucy-dev] OFFSET globals
Date Tue, 24 Apr 2012 11:22:36 GMT
On 24/04/2012 07:20, Nathan Kurz wrote:
> A fine reason to finally do this right, and having him excited to
> solve this is another.  But I haven't been sure whether it's Nick
> demanding an upgrade proof ABI, or whether you feel it should be one.
> I was wondering whether it would be better to have him continue
> writing extensions and recompiling as necessary until the ABI settles
> down, since the process of writing these extensions will probably
> cause faster change than will be the usual case.
>
> But as long as _both_ of you view this as a preliminary requirement,
> it's a great thing to get out of the way.

For my own needs, I don't care much about ABI compatibility. I actually 
started this thread with a proposal that would make ABI compatibility 
very hard to maintain.

I also wouldn't say that this compatibility work is essential for 
compiled extensions. But I realized it's an interesting and important 
issue that I'd like to work on.

Nick

Mime
View raw message